packages: pear-autoup.sh - check tools early (php, pear)

glen glen at pld-linux.org
Mon Nov 15 15:52:16 CET 2010


Author: glen                         Date: Mon Nov 15 14:52:16 2010 GMT
Module: packages                      Tag: HEAD
---- Log message:
- check tools early (php, pear)

---- Files affected:
packages:
   pear-autoup.sh (1.10 -> 1.11) 

---- Diffs:

================================================================
Index: packages/pear-autoup.sh
diff -u packages/pear-autoup.sh:1.10 packages/pear-autoup.sh:1.11
--- packages/pear-autoup.sh:1.10	Mon Sep  6 12:53:31 2010
+++ packages/pear-autoup.sh	Mon Nov 15 15:52:11 2010
@@ -7,7 +7,13 @@
 
 set -e
 
-[ -s pear.ls ] || poldek -q -Q --skip-installed --cmd 'ls php-pear-*' > pear.ls
+# test that php is working
+php -r 'echo "PHP is working OK\n";'
+
+# test that pear is working
+pear info PEAR >/dev/null
+
+[ -s pear.ls ] || { poldek --upa; poldek -q -Q --skip-installed --cmd 'ls php-pear-*' > pear.ls; }
 [ -s pear.desc ] || {
 	for pkg in $(cat pear.ls); do
 		poldek -q --skip-installed --cmd "desc $pkg"
@@ -31,9 +37,6 @@
 	touch pear.installed
 }
 [ -s pear.upgrades ] || pear list-upgrades > pear.upgrades
-
-# test that php is working
-php -r 'echo "PHP is working OK\n";'
 
 for pkg in $(cat pear.pkgs); do
 	# check if there's update in channel
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/pear-autoup.sh?r1=1.10&r2=1.11&f=u



More information about the pld-cvs-commit mailing list